# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}


%define name	qt
%define	major	2
%define qtdir	%{_libdir}/qt%{major}

#laurent qt 2.3.1-10mdk 1 Sep 2001
# kdesupport 1 compile with kde widget
#			 0 compile without kde widget 
%define kdesupport 1

Summary:	Shared library for the Qt2 GUI toolkit
Name:		%{name}%{major}
Version:	2.3.1
Release:	14mdk

Source0:	ftp://ftp.troll.no/qt/source/qt-x11-%{version}.tar.bz2
Source1:	designer-launch
Source2:        qt.fontguess 
Patch0:		qt2-configs-linux-g++-shared-without-rpath.bz2
# DU Xiaoming - 2.3.0-6mdk - Patch for simplified chinese
Patch1:		qt-2.3.0-qpsprinter-gbkprint.patch.bz2

License:	GPL & QPL
Group:		Development/KDE and QT
URL:		http://www.trolltech.com/products/qt.html
BuildRoot:	%_tmppath/%name-%version-%release-root

%if %buildfor7_2
BuildRequires:	byacc flex gawk gcc-c++ glibc-devel bzip2 libjpeg-devel
BuildRequires:	libpng-devel libstdc++-devel libungif-devel pam-devel popt-devel
BuildRequires:	readline-devel pam-devel libtermcap-devel Mesa-common-devel
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs
%endif

%if %buildfor8_0
BuildRequires:	byacc db1 db1-devel db3 db3-devel flex gawk gcc-c++ glibc-devel
BuildRequires:	libbzip2_1-devel libjpeg62-devel libmng1-devel libpng2-devel
BuildRequires:	libstdc++-devel libtermcap2-devel libungif4-devel Mesa Mesa-common
BuildRequires:	Mesa-common-devel pam pam-devel popt popt-devel readline-devel
BuildRequires:	rpm-build XFree86-devel XFree86-libs XFree86-static-libs zlib1
BuildRequires:	zlib-devel
%endif

%if %buildfor8_1
BuildRequires:  byacc db1 db1-devel db3 db3-devel flex gawk gcc-c++ glibc-devel
BuildRequires:  libbzip2_1-devel libjpeg62-devel libmng1-devel libpng2-devel
BuildRequires:  libstdc++-devel libtermcap2-devel libmng1-devel libpng2-devel
BuildRequires:	libungif4-devel Mesa Mesa-common Mesa-common-devel pam pam-devel
BuildRequires:	popt popt-devel readline-devel rpm-build XFree86-devel
BuildRequires:	XFree86-libs XFree86-static-libs zlib1 zlib-devel
%endif

# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 uses another description (see below)
%if !%buildfor7_2
%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for the X Windows system.
It has everything you need to create professional GUI applications. 
And it enables you to create them quickly.
Qt is multi-platform toolkit written in C++ and is fully object-oriented. 
This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package 
%if !%buildfor7_2
%package -n lib%{name}
Summary:	Shared library for the Qt2 GUI toolkit
Group:		Development/KDE and QT
Provides:	%name
Obsoletes:	%name

%description -n lib%{name}
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows System.
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98
or framebuffer devices.
Simply recompile your source code on the platform you want.

This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%package -n lib%{name}-devel
Summary:	Header files and libraries for developing apps which will use Qt2
Group:		Development/KDE and QT
PreReq:		libqt2 = %version-%release
Provides:	%name-devel 
# Dadou - ? - rpmlint want this package provide qt-devel but it's a bad idea
#             because it can confuse some old SRPMS
Obsoletes:	%name-devel, %name-doc

%description -n lib%{name}-devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

This package contains the files necessary to develop applications See
http://www.troll.no/ for more information about Qt.
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%package Xt
Summary:	An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit
Group:		Development/Other
PreReq:	lib%{name} = %{version}-%{release}

%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 and 8.0 doesn't provide this package
%if %buildfor8_1
%package Xt-devel
Summary:	Libraries for developing apps which will use libqtx
Group:		Development/Other
PreReq:		%name-Xt = %version-%release

%description Xt-devel
Libraries for developing apps which will use libqtx
%endif


# Dadou - 2.3.1-1mdk - Only Linux-Mandrake 8.0 doesn't provide this package
%if %buildfor8_0
%package static-libraries
Summary:	Version of the Qt GUI toolkit for static linking
Group:		Development/KDE and QT
PreReq:		lib%name-devel = %version-%release

%description static-libraries
The qt-static package contains the files necessary to link applications
to the Qt GUI toolkit statically (rather than dynamically).
Statically linked applications don't require the library to be installed
on the system running the application.
%endif


# Dadou - 2.3.1-1mdk - This package replaces static-libraries package provided
#                      in Linux-Mandrake 8.0
%if %buildfor8_1
%package -n lib%name-static-devel
Summary:	Version of the Qt GUI toolkit for static linking
Group:		Development/KDE and QT
PreReq:		lib%name-devel = %version-%release
Obsoletes:	qt2-static-devel, qt2-static-libraries

%description -n lib%name-static-devel
This package package contains the files necessary to link applications
to the Qt GUI toolkit statically (rather than dynamically).
Statically linked applications don't require the library to be installed
on the system running the application.
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%package designer
Summary:	Interface designer (IDE) for the Qt toolkit
Group:		Development/KDE and QT
PreReq:		lib%name-devel = %version-%release

%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.
%endif


# Dadou - 2.3.1-1mdk - This description follows Linux-Mandrake 7.2 policy and
#                      is only for this distribution
%if %buildfor7_2
%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.
 
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.
  
Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.
%endif


# Dadou - 2.3.1-1mdk - This package follows Linux-Mandrake 7.2 policy and
#                      is only for this distribution
%if %buildfor7_2
%package devel
Summary:	Header files and libraries for developing apps which will use Qt2
Group:		Development/KDE and QT
URL:		http://www.troll.no/
PreReq:		%name = %version-%release

%description devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.
 
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.
  
Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.
   
================================================================
This package contains the files necessary to develop applications See
http://www.troll.no/ for more information about Qt.
%endif


# Dadou - 2.3.1-1mdk - This package follows Linux-Mandrake 7.2 policy and
#                      is only for this distribution
%if %buildfor7_2
%package doc
Summary:	Document for developing apps which will use Qt2
Group:		Development/KDE and QT
URL:		http://www.troll.no/
PreReq:		%name-devel = %version-%release
 
%description doc
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.
  
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.
    
========================================================
This package contains documentation and example programs. See
http://www.troll.no for more information about Qt.
%endif


%prep

%setup -q -n qt-%version
%patch0 -p1
# Dadou - 2.3.1-1mdk - This patch fails to be applied with qt-2.3.1. Authors
#                      is contacted
#%patch1 -p1

%build
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%_prefix


# Dadou - 2.3.1-2mdk - GCC-2.96 is a completly broken compiler. So, we need to
#                      use these options (like this) or designer will not work
if [ %buildfor = 7.2 ]; then
perl -pi -e "s/-O2/%optflags/g" configs/linux*
elif [ %buildfor = 8.0 ] || [ %buildfor = 8.1 ]; then
%ifarch %ix86
perl -pi -e "s/-O2/-O3 -mcpu=pentiumpro -march=i586/g" configs/linux*
%endif
%ifarch alpha ia64 ppc
perl -pi -e "s/-O2/%optflags/g" configs/linux*
%endif
fi


#==============================#
#    Build static libraries    #
#==============================#

# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide static libraries

# Dadou - 2.3.1-1mdk - Build for Linux-Mandrake 8.0 or Mandrake Linux 8.1
if [ %buildfor = 8.0 ] || [ %buildfor = 8.1 ]; then
./configure -release \
            -static \
            -gif \
            -sm \
            -thread \
            -system-zlib \
            -system-libpng \
            -system-libmng \
            -system-jpeg \
            -no-nas-sound \
%if %kdesupport  	    
	    -kde \
%endif
            -no-g++-exceptions \
            -xft <<EOF
yes
EOF

%make src-moc src-mt sub-src sub-tools
fi


#==============================#
#    Build shared libraries    #
#==============================#

# Dadou - 2.3.1-1mdk - Build for Linux-Mandrake 7.2 (only available for i586
#                      architecture)
if [ "%buildfor" = "7.2" ]; then
./configure -release \
            -shared \
	    -gif \
	    -sm \
	    -no-thread \
	    -qt-zlib \
	    -qt-libpng \
	    -system-jpeg \
	    -no-nas-sound \
%if %kdesupport  	    
	    -kde \
%endif	    
	    -no-g++-exceptions <<EOF
yes
EOF

%make src-moc src-mt sub-src sub-tools

# Dadou - 2.3.1-2mdk - Work around for Qt's broken Makefiles
for i in makeqpf mergetr msg2qm qconfig; do
   make -C tools/$i
done
fi

# Dadou - 2.3.1-1mdk - Build for Linux-Mandrake 8.0 or Mandrake Linux 8.1
if [ %buildfor = 8.0 ] || [ %buildfor = 8.1 ]; then
make clean
./configure -release \
            -shared \
	    -gif \
	    -sm \
	    -thread \
	    -system-zlib \
	    -system-libpng \
	    -system-libmng \
	    -system-jpeg \
            -no-nas-sound \
%if %kdesupport 	    
	    -kde \
%endif	    
	    -no-g++-exceptions \
	    -xft <<EOF
yes
EOF

%make src-moc src-mt sub-src sub-tools

%make -C extensions/xt/src

# Dadou - 2.3.1-2mdk - Work around for Qt's broken Makefiles
for i in makeqpf mergetr msg2qm qconfig; do
   make -C tools/$i
done
fi


%install
rm -fr %buildroot

export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%_prefix


# Create directories needed for installation
install -d %buildroot/%_bindir/
install -d %buildroot/%_docdir/qt-%version/
install -d %buildroot/%_includedir/%name/
install -d %buildroot/%_libdir/
install -d %buildroot/%_mandir/man3/
install -d %buildroot/%{qtdir}/bin/
install -d %buildroot/%{qtdir}/lib/
install -d %buildroot/%{qtdir}/include/


# Install binaries...
install -m755 bin/* %buildroot/%_bindir/
for i in makeqpf mergetr msg2qm qconfig; do
   install -m 755 tools/$i/$i %buildroot/%_bindir/
done

mv %buildroot/%_bindir/designer %buildroot/%_bindir/designer-real

install -m755 %SOURCE1 %buildroot/%_bindir/designer
# ...and link them to %%_libdir/qt2/bin/
(
cd %buildroot/%_libdir/%name/bin/
for i in ../../../bin/* ; do
   ln -s $i .
done
)

mkdir -p %buildroot/%_sysconfdir/
install -m644 %SOURCE2 %buildroot/%_sysconfdir/

# Install static libraries
%if !%buildfor7_2
install -m644 lib/*.a %buildroot/%_libdir/
(
cd %buildroot/%_libdir/%name/lib/
for i in ../../*.a ; do
   ln -s $i .
done
)
%endif

# Install shared libraries...
install -m755 lib/libqt.so.2.3.1 %buildroot/%_libdir/
%if !%buildfor7_2
install -m755 lib/libqt-mt.so.2.3.1 %buildroot/%_libdir/
%endif
install -m755 lib/libqutil.so.1.0.0 %buildroot/%_libdir/
# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide libqxt.so.0.3.0
%if !%buildfor7_2
install -m755 lib/libqxt.so.0.3.0 %buildroot/%_libdir/
%endif

# ...and add links
(
cd %buildroot/%_libdir/
ln -s libqt.so.%version libqt.so.2.3
ln -s libqt.so.%version libqt.so.2
ln -s libqt.so.%version libqt.so
ln -s libqutil.so.1.0.0 libqutil.so.1.0
ln -s libqutil.so.1.0.0 libqutil.so.1
ln -s libqutil.so.1.0.0 libqutil.so
# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide and libqt-mt.so* and
#                      libqxt.so*
%if !%buildfor7_2
ln -s libqt-mt.so.%version libqt-mt.so.2.3
ln -s libqt-mt.so.%version libqt-mt.so.2
ln -s libqt-mt.so.%version libqt-mt.so
ln -s libqxt.so.0.3.0 libqxt.so.0.3
ln -s libqxt.so.0.3.0 libqxt.so.0
ln -s libqxt.so.0.3.0 libqxt.so
%endif
)
#
(
cd %buildroot/%_libdir/%name/lib/
ln -s ../../libqt.so.%version libqt.so.%version
ln -s ../../libqt.so.%version libqt.so.2.3
ln -s ../../libqt.so.%version libqt.so.2
ln -s ../../libqt.so.%version libqt.so
ln -s ../../libqutil.so.1.0.0 libqutil.so.1.0.0
ln -s ../../libqutil.so.1.0.0 libqutil.so.1.0
ln -s ../../libqutil.so.1.0.0 libqutil.so.1
ln -s ../../libqutil.so.1.0.0 libqutil.so
# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide and libqt-mt.so* and
#                      libqxt.so*
%if !%buildfor7_2
ln -s ../../libqt-mt.so.%version libqt-mt.so.%version
ln -s ../../libqt-mt.so.%version libqt-mt.so.2.3
ln -s ../../libqt-mt.so.%version libqt-mt.so.2
ln -s ../../libqt-mt.so.%version libqt-mt.so
ln -s ../../libqxt.so.0.3.0 libqxt.so.0.3.0
ln -s ../../libqxt.so.0.3.0 libqxt.so.0.3
ln -s ../../libqxt.so.0.3.0 libqxt.so.0
ln -s ../../libqxt.so.0.3.0 libqxt.so
%endif
)

# Install include files...
for i in include/* ; do
   cp $i %buildroot/%_includedir/%name/
done

# ...and add links
(
cd %buildroot/%{qtdir}/include/
for i in ../../../include/%name/* ; do
   ln -s $i .
done
)

# Some stuffs for qt-designer
install -d %buildroot/%{qtdir}/tools/designer/pics
cp -ar tools/designer/pics/* %buildroot/%{qtdir}/tools/designer/pics/

# Install man pages
(
cd doc/man/man3/
for i in * ; do
   cp $i %buildroot/%_mandir/man3/
done
)
# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 and 8.0 provide both Qt 1.x and 2.x
#                      This step allow users to install both version. It's no
#                      longer needed in Mandrake Linux 8.1 because this version
#                      doesn't provide Qt 1.x
if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
(
cd %buildroot/%_mandir/
for i in $(find . -name \*.3qt);do
mv -f $i ${i}.%version
done
)
fi

# Install documentation
cp -ar examples/ %buildroot/%_docdir/qt-%version/
cp -ar tutorial/ %buildroot/%_docdir/qt-%version/
cp -ar doc/html/ %buildroot/%_docdir/qt-%version/

cp $RPM_BUILD_DIR/qt-%version/ANNOUNCE %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/FAQ %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/LICENSE.GPL %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/LICENSE.QPL %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/MANIFEST %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/PLATFORMS %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/PORTING %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/README %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/README.QT %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/changes-2.3.0 %buildroot/%_docdir/qt-%version/
cp $RPM_BUILD_DIR/qt-%version/changes-2.3.1 %buildroot/%_docdir/qt-%version/

# Clean documentation directory
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e 's|^SYSCONF_MOC.*|SYSCONF_MOC         = \$(QTDIR)/bin/moc|'
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e 's|../../include/|\$(QTDIR)/include/|'


(
cd %buildroot/%_docdir/qt-%version/examples/
find . -type f -perm 755 | xargs rm -f
make clean
find . -name "*.pro" -exec rm -f {} \; \
# Dadou - 2.2.2-3mdk - Workaround for buggy Makefile
cd guithreads
make clean
cd ..
# Dadou - 2.2.2-3mdk - Workaround for buggy Makefile
cd semaphores
make clean
cd ..
)
(
cd %buildroot/%_docdir/qt-%version/tutorial/
find . -type f -perm 755 | xargs rm -f
make clean
find . -name "*.pro" -exec rm -f {} \; \
)


# Dadou - 2.3.1-2mdk - Make documentation usable in designer...
install -d %buildroot/%{qtdir}/doc/
(
cd %buildroot/%{qtdir}/doc/
ln -s ../../../share/doc/qt-2.3.1/html/ html
ln -s ../../../share/man/ man
)

# Create menu entry for Qt Designer
install -d %buildroot/%_menudir/
cat <<EOF > %buildroot/%_menudir/qt2-designer
?package(%{name}-designer): needs=X11 \
section="Applications/Development/Development environments" \
title="QT Designer" \
longtitle="A graphical designer/dialog builder for Qt2" \
command="designer" \
icon="%_libdir/qt2/tools/designer/pics/qtlogo.png"
EOF


%if !%buildfor7_2
%post -n lib%name -p /sbin/ldconfig
%endif

%if !%buildfor7_2
%postun -n lib%name -p /sbin/ldconfig
%endif

%if !%buildfor7_2
%post -n lib%name-devel -p /sbin/ldconfig
%endif

%if !%buildfor7_2
%postun -n lib%name-devel -p /sbin/ldconfig
%endif

%if !%buildfor7_2
%post -n %name-Xt
/sbin/ldconfig
%endif

%if !%buildfor7_2
%postun -n %name-Xt -p /sbin/ldconfig
%endif

%if !%buildfor7_2
%post designer
%update_menus
%endif

%if !%buildfor7_2
%postun designer
%clean_menus
%endif


%if %buildfor7_2
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig
%update_menus

%postun devel
/sbin/ldconfig
%clean_menus
%endif


%clean
rm -fr %buildroot

# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%files -n lib%{name}
%defattr(-,root,root,-)
%dir %_docdir/qt-%version/
%doc %_docdir/qt-%version/ANNOUNCE
%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE.GPL
%doc %_docdir/qt-%version/LICENSE.QPL
%doc %_docdir/qt-%version/MANIFEST
%doc %_docdir/qt-%version/PLATFORMS
%doc %_docdir/qt-%version/PORTING
%doc %_docdir/qt-%version/README
%doc %_docdir/qt-%version/README.QT
#
#
%config(noreplace) %_sysconfdir/qt.fontguess
#
#
%_libdir/libqt-mt.so.2*
%_libdir/libqt.so.2*
%_libdir/libqutil.so.1*
#
#
#
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/libqt-mt.so.2*
%{qtdir}/lib/libqt.so.2*
%{qtdir}/lib/libqutil.so.1*
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%files -n lib%{name}-devel
%defattr(-,root,root,-)
%dir %_docdir/qt-%version/examples/
%doc %_docdir/qt-%version/examples/*
%dir %_docdir/qt-%version/html/
%doc %_docdir/qt-%version/html/*
%dir %_docdir/qt-%version/tutorial/
%doc %_docdir/qt-%version/tutorial/*
#
%doc %_mandir/man3/*
%doc %_docdir/qt-%version/changes*
#
#
%dir %{qtdir}/doc/
%doc %{qtdir}/doc/html
%doc %{qtdir}/doc/man
#
#
#
%{_bindir}/findtr*
%{_bindir}/makeqpf*
%{_bindir}/mergetr*
%{_bindir}/moc*
%{_bindir}/msg2qm*
%{_bindir}/qconfig*
%{_bindir}/qt20fix*
%{_bindir}/qtrename140*
%{_bindir}/uic*
#
#
#
%dir %_includedir/%{name}/
%_includedir/%{name}/*
#
#
#
%_libdir/*.so
#
#
#
%dir %{qtdir}/
%dir %{qtdir}/bin/
%{qtdir}/bin/findtr
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/bin/moc
%{qtdir}/bin/makeqpf
%{qtdir}/bin/mergetr
%{qtdir}/bin/msg2qm
%{qtdir}/bin/qconfig
%{qtdir}/lib/libqt.so
#
#
%dir %{qtdir}/include/
%{qtdir}/include/*
%endif


%if %buildfor8_0
%files static-libraries
%defattr(-,root,root,-)
%_libdir/*.a
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/*.a
%endif


%if %buildfor8_1
%files -n lib%name-static-devel
%defattr(-,root,root,-)
%_libdir/*.a
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/*.a
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
# Dadou - 2.3.1-1mdk - Mandrake Linux 8.1 put devel files in a devel package
%if %buildfor8_0
%files Xt
%defattr(-,root,root,-)
%_libdir/libqxt.so*
#
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/libqxt.so*
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
# Dadou - 2.3.1-1mdk - Linux-Mandrake 8.0 provides this package but with devel
#                      libraries
%if %buildfor8_1
%files Xt
%defattr(-,root,root,-)
%_libdir/libqxt.so.*
#
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/libqxt.so.*
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
# Dadou - 2.3.1-1mdk - Linux-Mandrake 8.0 doesn't provide this package
%if %buildfor8_1
%files Xt-devel
%defattr(-,root,root,-)
%_libdir/libqxt.so
#
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/libqxt.so
%endif


# Dadou - 2.3.1-1mdk - Linux-Mandrake 7.2 doesn't provide this package
%if !%buildfor7_2
%files designer
%defattr(-,root,root,-)
%_bindir/designer
%_bindir/designer-real
#
#
#
%dir %{qtdir}/
%dir %{qtdir}/bin/
%{qtdir}/bin/designer-real
%{qtdir}/bin/designer
#
#
#
%_menudir/*
#
#
#
%dir %{qtdir}/tools/
%dir %{qtdir}/tools/designer/
%dir %{qtdir}/tools/designer/pics/
%{qtdir}/tools/designer/pics/mkimages
%{qtdir}/tools/designer/pics/mksplash
%{qtdir}/tools/designer/pics/*.h
%{qtdir}/tools/designer/pics/*.png
%{qtdir}/tools/designer/pics/*.xbm
#
#
%dir %{qtdir}/tools/designer/pics/large/
%{qtdir}/tools/designer/pics/large/*.xpm
#
%dir %{qtdir}/tools/designer/pics/large/disabled/
%{qtdir}/tools/designer/pics/large/disabled/*.xpm
#
#
%dir %{qtdir}/tools/designer/pics/mini/
%dir %{qtdir}/tools/designer/pics/mini/*.xpm
#
#
%dir %{qtdir}/tools/designer/pics/small/
%{qtdir}/tools/designer/pics/small/*.xpm
#
%dir %{qtdir}/tools/designer/pics/small/disabled/
%dir %{qtdir}/tools/designer/pics/small/disabled/*.xpm
%endif


# Dadou - 2.3.1-1mdk - This package follows Linux-Mandrake 7.2 policy and is
#                      only for this distribution
%if %buildfor7_2
%files
%defattr(-,root,root,-)
%dir %_docdir/qt-%version/
%doc %_docdir/qt-%version/ANNOUNCE
%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE.GPL
%doc %_docdir/qt-%version/LICENSE.QPL
%doc %_docdir/qt-%version/MANIFEST
%doc %_docdir/qt-%version/PLATFORMS
%doc %_docdir/qt-%version/PORTING
%doc %_docdir/qt-%version/README
%doc %_docdir/qt-%version/README.QT
#
#
#
%_libdir/libqt.so.2*
%_libdir/libqutil.so.1*
#
#
#
%dir %{qtdir}/
%dir %{qtdir}/lib/
%{qtdir}/lib/libqt.so.2*
%{qtdir}/lib/libqutil.so.1*
%endif


# Dadou - 2.3.1-1mdk - This package follows Linux-Mandrake 7.2 policy and is
#                      only for this distribution
%if %buildfor7_2
%files devel
%defattr(-,root,root,-)
%_bindir/designer
%_bindir/findtr
%_bindir/makeqpf
%_bindir/mergetr
%_bindir/moc
%_bindir/msg2qm
%_bindir/qconfig
%_bindir/qt20fix
%_bindir/qtrename140
%_bindir/uic
#
#
#
%dir %_includedir/%{name}/
%_includedir/%{name}/*
#
#
#
%_libdir/*.so
#
#
#
%_menudir/*
#
#
#
%dir %{qtdir}/
%dir %{qtdir}/bin/
%{qtdir}/bin/designer
%{qtdir}/bin/findtr
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/bin/moc
%{qtdir}/bin/makeqpf
%{qtdir}/bin/mergetr
%{qtdir}/bin/msg2qm
%{qtdir}/bin/qconfig
%{qtdir}/lib/libqt.so
#
#
%dir %{qtdir}/include/
%{qtdir}/include/*
#
#
#
%dir %{qtdir}/tools/
%dir %{qtdir}/tools/designer/
%dir %{qtdir}/tools/designer/pics/
%{qtdir}/tools/designer/pics/mkimages
%{qtdir}/tools/designer/pics/mksplash
%{qtdir}/tools/designer/pics/*.h
%{qtdir}/tools/designer/pics/*.png
%{qtdir}/tools/designer/pics/*.xbm
#
#
%dir %{qtdir}/tools/designer/pics/large/
%{qtdir}/tools/designer/pics/large/*.xpm
#
%dir %{qtdir}/tools/designer/pics/large/disabled/
%{qtdir}/tools/designer/pics/large/disabled/*.xpm
#
#
%dir %{qtdir}/tools/designer/pics/mini/
%dir %{qtdir}/tools/designer/pics/mini/*.xpm
#
#
%dir %{qtdir}/tools/designer/pics/small/
%{qtdir}/tools/designer/pics/small/*.xpm
#
%dir %{qtdir}/tools/designer/pics/small/disabled/
%dir %{qtdir}/tools/designer/pics/small/disabled/*.xpm
%endif


# Dadou - 2.3.1-1mdk - This package follows Linux-Mandrake 7.2 policy and is
#                      only for this distribution
%if %buildfor7_2
%files doc
%defattr(-,root,root,-)
%dir %_docdir/qt-%version/
%doc %_docdir/qt-%version/PORTING
#
%dir %_docdir/qt-%version/examples/
%doc %_docdir/qt-%version/examples/*
#
%dir %_docdir/qt-%version/html/
%doc %_docdir/qt-%version/html/*
#
%dir %_docdir/qt-%version/tutorial/
%doc %_docdir/qt-%version/tutorial/*
#
%doc %_mandir/man3/*
%doc %_docdir/qt-%version/changes*
#
#
%dir %{qtdir}/doc/
%doc %{qtdir}/doc/html
%doc %{qtdir}/doc/man
%endif


%changelog
* Tue Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.1-14mdk
- Rebuild with new kdelibs

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 2.3.1-13mdk
- add qt.fontguess for Chinese, Korean and Japanese fonts (geoffrey)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.1-12mdk
- Fix designer (SOURCE1)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.1-11mdk
- Fix qt-designer icon in menu entry

* Sat Sep 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.1-10mdk
- Add  %%build_with_kde_support 

* Wed Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.1-9mdk
- Rebuild we new kdelibs
- Fix some %%post %%postun

* Wed Jul 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-8mdk
- Re-upload with non broken BuildRequires

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.3.1-7mdk
- BuildRequires:      kdelibs-devel
- Removed BuildRequires:      Mesa-common XFree86-devel XFree86-libs
  db1 db3 gawk glibc-devel libstdc++-devel zlib-devel zlib1

* Tue Jul 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-6mdk
- Fix a typo when we create /usr/lib/qt2/lib/libqt-mt.so.%%version link

* Fri Jul 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-5mdk
- Fix build on alpha (Jeff Garzik)

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-4mdk
- Fix name for static libraries
- Add few BuildRequires and Obsoletes
- Add support for ia64

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-3mdk
- Rebuild with KDE (2.2.beta1) support
- Fix few Provides: and PreReq:
- Complete BuildRequires: for Linux-Mandrake 7.2

* Sat Jun 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-2mdk
- Rewrite %%build section (so, fix designer and some problems with rpath)
- Rewrite few sections of %%install (i.e. don't build in %%install)
- Complete %%install section according to %%build section
- Disable thread support for Linux-Mandrake 7.2
- Use system zlib and libpng instead sources provided in Qt package (8.0 and 8.1)
- Allow documentation to be used in designer (you need to
  "export QTDIR=/usr/lib/qt2/" if it's not already done)
- Add some missing BuildRequires
- Fix Makefiles in examples and tutorials

* Sun Jun 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1
- Add tests to automatically build right packages for right distribution
- Add %%files sections for all supported LMDK distributions
- Rewrite some sections of this spec to allow clean updates
- Remove qt-2.3.0-printing.patch.bz2
- Don't apply qt-2.3.0-qpsprinter-gbkprint.patch.bz2 at present time
- Disable kde support at present time
- Clean spec: bzip2 and rename qpsprinter-gbkprint.patch according to LMDK
  policy and add missing comments to make spec understandable by everybody
  (pacakgers, please to don't be lazzy and think you are not the only one who
  modify spec files)
- Fix few incorrect symlinks
- Rename static-libraries package to libqt2-static-devel (8.1)

* Thu May 31 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.0-6mdk
- Add a patch for simplified chinese printing.

* Fri Apr 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-5mdk
- Rebuild against latest GCC

* Wed Apr 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-4mdk
- Rebuild with kde support

* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-3mdk
- Rebuild with latest GCC

* Sun Mar 18 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.0-2mdk
- patched to handle X fonts well  

* Thu Mar 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-3mdk
- Rebuild to try to remove dependancies on libmng0 (thanks to Guillaume)

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-2mdk
- Rebuild with libmng-1.0.0

* Thu Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-9mdk
- Use sources from TrollTech
- Remove patch #1
- Add two patches from David FAURE

* Wed Jan 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-8mdk
- Enable KDE support
- Use optimizations

* Tue Dec 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2.3-7mdk
- AA support (build with -xft) -> with freetype2 + XFree-4.0.2 (see cooker)  
- cleanups

* Fri Dec 22 2000 Daouda Lo <daouda@ke.mandrakesoft.com> 2.2.3-6mdk
- fix symlinks 
- cleanups

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.3-5mdk
- add a libqt.so as quick hack for myself to build Licq.
- need fix: fix bad symlinks in /usr/lib.

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-4mdk
- links to include files in /usr/lib/qt2/include 

* Mon Dec 18 2000  Daouda <daouda@mandrakesoft.com> 2.2.3-2mdk
- provides libs in %{_libdir} , some packages need this to build

* Mon Dec 18 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-2mdk
- big changes : package splitted in 4 entities 
- fix gcc internal error (drawback-> -O2 opt :(
- merge with big dadou cleanups
- lib policy

* Tue Dec 11 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-1mdk
- Enable libmng support
- Enable threads
- Rewrite spec to make it LMDK compliant
- Remove doc packages (most of doc is in devel package now)
- Remove rpath
- Libdification
- Add longtitle to Qt Designer menu entry
- Fix groups
- Make rpmlint happy (at least, nearly)

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-2mdk
- Update to 2.2.2 package on cooker.

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-1mdk
- Update to 2.2.2 package

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-5mdk
- Add gcc2.96 patches from redhat.

* Thu Nov 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-4mdk
- Added msg2qm utility back per request from Cookers
- Recompile for gcc 2.96

* Tue Oct 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-3mdk
- Attempting to fix patch so that it builds on it's own (I can not use RCS
  patches that are sent to me).
- Rebuild with no exceptions

* Mon Oct 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-2mdk
- Added patch 0 from David Faure

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-1mdk
- Update to 2.2.1 package

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-4mdk
- Some KDE related patches

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-3mdk
- Some KDE related patches

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-2mdk
- Changed liscense from QPL to GPL

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-1mdk
- Upgraded to final realease version

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.7mdk
- Some KDE related patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.6mdk
- Some KDE related patches

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.5mdk
- Some KDE related patches

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.4mdk
- Some KDE related patches

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.3mdk
- Fixed designer templates and support files in devel package.
- Added menu for designer

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.2mdk
- Fixed location of docs                        
- Fixed designer location and location of libs required by designer.

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.1mdk
- Updated to qt2 2.2 beta 1 as required by KDE
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-10mdk
- Some KDE related patches

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-9mdk
- Some KDE related patches

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-8mdk
- This is 2.2beta0
- Updated code patches
- BM

* Tue Jul 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- Updated code patches

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-6mdk
- Updated again some more patches by the kde2 team

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-5mdk
- Updated again some patches for kde2

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-4mdk
- Updated some patches for KDE

* Tue Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.1.1-3mdk
- be pedantic and add some symlinks to /usr/bin
- fixed long standing unfixed typo
- package is not relocatable (???)
- NOTE: package maintainer remains: molnarc@mandrakesoft.com

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-2mdk
- Updated spec file to save room. New spec file sent by cooker user
- taki@cloud.matav.sulinet.hu
  
* Fri Jun 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-1mdk
- updated to qt2.1.1

* Mon May 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-6mdk
- recompiled with jpeg support needed by kde2

* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir 
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk
- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk
- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk
- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
